import type { Query } from "react-query/core";
import { PropType, Ref } from "vue";
import { getQueryState } from "./utils";
import type { Options } from "./types";
interface PanelProps {
    style?: CSSStyleDeclaration;
    className?: string;
}
declare const _default: import("vue").DefineComponent<{
    isOpen: {
        type: BooleanConstructor;
        required: true;
    };
    panelProps: {
        type: PropType<PanelProps>;
        default: {};
    };
}, {
    theme: {
        background: string;
        backgroundAlt: string;
        foreground: string;
        gray: string;
        grayAlt: string;
        inputBackgroundColor: string;
        inputTextColor: string;
        success: string;
        danger: string;
        active: string;
        warning: string;
    };
    devtoolsPanelStyles: import("vue").ComputedRef<{
        backgroundColor: string;
        color: string;
    }>;
    queries: Ref<Query<unknown, unknown, unknown>[]>;
    getQueryState: typeof getQueryState;
    onOptionsChange: (newOptions: Options) => void;
    activeQuery: Ref<Query<unknown, unknown, unknown> | undefined>;
    selectQuery: (queryHash: string) => void;
    handleDragStart: (event: MouseEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    isOpen: boolean;
    panelProps: PanelProps;
} & {}>, {
    panelProps: PanelProps;
}>;
export default _default;
