import { PropType } from "vue";
import type { Query } from "react-query/types";
declare const _default: import("vue").DefineComponent<{
    query: {
        type: PropType<Query<unknown, unknown, unknown>>;
        required: true;
    };
}, {
    theme: {
        background: string;
        backgroundAlt: string;
        foreground: string;
        gray: string;
        grayAlt: string;
        inputBackgroundColor: string;
        inputTextColor: string;
        success: string;
        danger: string;
        active: string;
        warning: string;
    };
    observerCount: import("vue").ComputedRef<any>;
    isStale: import("vue").ComputedRef<boolean>;
    stateColor: import("vue").ComputedRef<string>;
    onQueryClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    query: Query<unknown, unknown, unknown>;
} & {}>, {}>;
export default _default;
