import { ToRefs } from "vue-demi";
import type { QueryFunction, QueryKey, UseQueryOptions, UseQueryResult } from "react-query/types";
export declare function useQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(options: UseQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseQueryResult<TData, TError>>;
export declare function useQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(queryKey: QueryKey, options?: UseQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseQueryResult<TData, TError>>;
export declare function useQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(queryKey: QueryKey, queryFn: QueryFunction<TQueryFnData>, options?: UseQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseQueryResult<TData, TError>>;
